#!/usr/bin/perl
# Minify.pl -- TextWrangler filter to minify CSS
#Copyright © 2017 by Mike Pasini
#Last Update: 9 May 2017

use strict;
use warnings;

use CSS::Compressor qw( css_compress );

undef $/;	 			# returns are not end of records
my $css = "";

if ($ENV{KMVAR_mfyText} ne "") {
	$css = $ENV{KMVAR_mfyText};
} else {
	$css = <STDIN>;
}

my $text = css_compress($css);

print $text;

__END__
