#!/usr/bin/perl
# Minify-JS.hybrid.pl -- TextWrangler filter to minify CSS
#Copyright © 2017 by Mike Pasini
#Last Update: 9 May 2017

use strict;
use warnings;

use JavaScript::Minifier qw(minify);

undef $/;	 			# returns are not end of records
my $js = "";

if ($ENV{KMVAR_mfyText} ne "") {
	$js = $ENV{KMVAR_mfyText};
} else {
	$js = <STDIN>;
}

my $text = minify(input=>$js);

print $text;

__END__
